Package ru.bgcrm.dao.process

# Class QueueDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
ru.bgcrm.dao.process.QueueDAO

public class QueueDAO extends CommonDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueueDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `delete(int id)`
  `Queue`
  `getQueue(int id)`
  `List<Queue>`
  `getQueueList()`
  `List<QueueProcessStat>`
  `getQueueProcessStat(Queue queue)`
  `Set<Integer>`
  `getQueueProcessTypeIds(int id)`
  `QueueStat`
  `getQueueStat(Queue queue, String userIds)`
  `List<QueueUserStat>`
  `getQueueUserStat(Queue queue, String userIds)`
  `void`
  `searchQueue(Pageable<Queue> searchResult, Set<Integer> queueIds, String filter)`
  `void`
  `updateQueue(Queue queue, int userId)`
  Updates process queue entity.

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QueueDAO

    public QueueDAO(Connection con)

- ## Method Details

  - ### searchQueue

    public void searchQueue(Pageable<Queue> searchResult, Set<Integer> queueIds, String filter) throws SQLException
    Throws:
      `SQLException`

  - ### getQueueList

    public List<Queue> getQueueList() throws SQLException
    Throws:
      `SQLException`

  - ### getQueue

    public Queue getQueue(int id) throws SQLException
    Throws:
      `SQLException`

  - ### updateQueue

    public void updateQueue(Queue queue, int userId) throws BGMessageException, SQLException
    Updates process queue entity.
    Parameters:
      `queue` - entity data, for insertion `Id.getId()` <= 0.
      `userId` - user ID for checking conflicting updates.
    Throws:
      `BGMessageException`
      `SQLException`

  - ### getQueueProcessTypeIds

    public Set<Integer> getQueueProcessTypeIds(int id) throws SQLException
    Throws:
      `SQLException`

  - ### getQueueStat

    public QueueStat getQueueStat(Queue queue, String userIds) throws SQLException
    Throws:
      `SQLException`

  - ### getQueueProcessStat

    public List<QueueProcessStat> getQueueProcessStat(Queue queue) throws SQLException
    Throws:
      `SQLException`

  - ### getQueueUserStat

    public List<QueueUserStat> getQueueUserStat(Queue queue, String userIds) throws SQLException
    Throws:
      `SQLException`

  - ### delete

    public void delete(int id) throws SQLException
    Throws:
      `SQLException`